#!/bin/sh

TARGET_DIR=$1
if [ "$TARGET_DIR" = "" ]; then
  echo "TARGET_DIR ex: /usr"
  TARGET_DIR=/usr
fi

OBJPREFIX=$2
if [ "$OBJPREFIX" = "" ]; then
  BARCH=`uname -m`
  OBJPREFIX=objdir-$BARCH
fi

PREFIX=$TARGET_DIR/lib
mkdir -p $PREFIX

FILES_LIST="
$OBJPREFIX/src/libqtembedwidget.so
$OBJPREFIX/src/libqtembedwidget.so.1
$OBJPREFIX/src/libqtembedwidget.so.1.0
$OBJPREFIX/src/libqtembedwidget.so.1.0.0
"

for str in $FILES_LIST; do
    fname="${str##*/}"
    rm -f $PREFIX/$fname;
    ln -s $(pwd)/$str $PREFIX/$fname;
done

rm -f $PREFIX/pkgconfig/qtembedwidget.pc;
ln -s $(pwd)/$OBJPREFIX/pkgconfig/qtembedwidget.pc $PREFIX/pkgconfig/qtembedwidget.pc

PREFIX=$TARGET_DIR/include
mkdir -p $PREFIX

FILES_LIST="
src/EmbedQtKeyUtils.h
src/qdeclarativemozview.h
src/qgraphicsmozview.h
src/qmozcontext.h
"

for str in $FILES_LIST; do
    fname="${str##*/}"
    rm -f $PREFIX/$fname;
    ln -s $(pwd)/$str $PREFIX/$fname;
done
